DS_GET_COORDINATE_ARRAY(3)

FUNCTION
ds_get_coordinate_array - Get co-ordinate array for a dimension.

SYNOPSIS
#include <karma_ds.h>

double * ds_get_coordinate_array

(CONST dim_desc *dimension)

DESCRIPTION
This routine will get a co-ordinate array for a dimension. If the dimension is regularly spaced, then the co-ordinate array is computed, else if it is irregularly spaced, it is copied from the dimension descriptor.

dimension
    The dimension descriptor.

RETURN VALUE
A pointer to a co-ordinate array on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/